%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		findthatword
Version:	0.1
Release:	10%{?dist}
Summary:	A word search maker

Group:		Amusements/Games
License:	GPLv3+
URL:		http://findthatword.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz	
Source1:	findthatword.desktop
Patch0:		findthatword-0.1-modpath.patch
Patch1:		findthatword-0.1-gladepath.patch
Patch2:		findthatword-0.1-iconpath.patch
Patch3:		findthatword-0.1-licensepath.patch
Patch4:		findthatword-0.1-typo.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	desktop-file-utils python2-devel
Requires:	pygtk2 hicolor-icon-theme

%description
A word search maker for teachers, parents and those who enjoy creating 
puzzles. FindThatWord aims to be the best free word search creation 
program available with useful features such as clues, hidden messages 
and automated page layout.

%prep
%setup -qn %{name}

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/findthatword

install -m 755 src/findthatword.py $RPM_BUILD_ROOT%{_bindir}/findthatword
install -m 644 src/*.svg $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.glade $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/*.ftw $RPM_BUILD_ROOT%{_datadir}/findthatword/
install -m 644 src/COPYING $RPM_BUILD_ROOT%{_datadir}/findthatword/

mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 src/puzzle.py $RPM_BUILD_ROOT%{python_sitelib}/findthatword.py

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 src/ftw_small.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/
%{_bindir}/*
%{_datadir}/findthatword
%{_datadir}/applications/findthatword.desktop
%{_datadir}/icons/hicolor/scalable/apps/ftw_small.svg
%{python_sitelib}/findthatword*

%changelog
* Tue Aug 05 2014 Jon Ciesla <limburgher@gmail.com> - 0.1-10
- Patch for typo, BZ 1126915.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 22 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-4
- Added BR for python2-devel to fix macro.

* Thu Oct 20 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-3
- Dropped bogus pygame Requires.

* Mon Oct 17 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-2
- Corrected icon placement.
- Dropped Encoding from .desktop.
- Stopped creating unused sitelib subdir.

* Sun Oct 16 2011 Jon Ciesla <limb@jcomserv.net> - 0.1-1
- First build.
